PostgreSQL 9.3.2 Documentation
Prev | Up |  | Next

# END

## Name

END -- commit the current transaction

## Synopsis

    END [ WORK | TRANSACTION ]

## Description

`END` commits the current transaction. All changes made by the transaction become visible to others and are guaranteed to be durable if a crash occurs. This command is a PostgreSQL extension that is equivalent to COMMIT.

## Parameters

`WORK`
`TRANSACTION`

  Optional key words. They have no effect.

## Notes

Use ROLLBACK to abort a transaction.

Issuing `END` when not inside a transaction does no harm, but it will provoke a warning message.

## Examples

To commit the current transaction and make all changes permanent:

    END;

## Compatibility

`END` is a PostgreSQL extension that provides functionality equivalent to COMMIT, which is specified in the SQL standard.

## See Also

BEGIN, COMMIT, ROLLBACK

Prev | Home | Next
DROP VIEW | Up | EXECUTE